# Class LinkHelperService

java.lang.Object
org.eclipse.ui.navigator.LinkHelperService

public class LinkHelperService extends Object
Manages the link helpers which are used to define the behavior of the link with editor function.

Since:
  3.4
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`ILinkHelper[]`
`getLinkHelpersFor(Object anObject)`
`ILinkHelper[]`
`getLinkHelpersFor(IEditorInput input)`
`IStructuredSelection`
`getSelectionFor(IEditorInput input)`
Return a selection that contains the elements that the given editor input represent.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLinkHelpersFor

public ILinkHelper[] getLinkHelpersFor(Object anObject)

Parameters:
  `anObject` - An object from the viewer
Returns:
  An array of link helpers that know about elements in the selection or null

### getLinkHelpersFor

public ILinkHelper[] getLinkHelpersFor(IEditorInput input)

Parameters:
  `input` - The Editor input from the active viewer.
Returns:
  An array of link helpers that know about elements in the selection or null

### getSelectionFor

public IStructuredSelection getSelectionFor(IEditorInput input)
Return a selection that contains the elements that the given editor input represent.

Parameters:
  `input` - the editor input
Returns:
  a selection that contains the elements that the given editor input represent